Endpoint Security (HX) integration configuration: Request

Prev Next

To get the Endpoint Security (HX) integration configuration for all devices, send the following request:

GET https://<IA_IP_address>:<port_number>/config/v1/device

Required header:

Cookie: px=<token>

Note

To use this request, your user account must be assigned to the Admin role.

Options

  • IA_IP_address—The IP address of the NDR appliance running the NDR API.

  • port_number—The port number of the NDR appliance running the NDR API.

  • token—This token authenticates the session. By default, the session times out after 24 hours.

Parameter

device_IP—IP address of the configured device.

Example

GET https://xxx.xxx.xxx.xxx:443/config/v1/device

Required header:

Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

Endpoint Security (HX) integration configuration: Response

HTTP/1.1 [Response Code] [Response Message]				
Date: [Date]				
Content-Type: [Content Type]
[
  {
    "deviceIP": "IP_address",
    "devicePort": "port",
    "deviceType": "HX",
    "username": "string",
    "password": "string",
    "hostPollInterval": "interval",
    "alertPollInterval": "interval",
    "hostPollEnabled": Boolean,
    "alertPollEnabled": Boolean,
    "sslVerify": Boolean
  }
]
Response fields
  • Response Code—A standard HTTP response code.

    • 200—Request successful; the configuration was returned.

  • Response Message—A standard HTTP response message.

    • OK—Request successful; the configuration was returned.

  • Date—Standard HTML date format.

Example
HTTP/1.1 200 OK
Date: Fri, 16 Aug 2019 10:42:39 GMT
[
  {
    "deviceIP": "1.1.1.1",
    "devicePort": "3000",
    "deviceType": "HX",
    "username": "iaanalyst",
    "password": "somepassword",
    "hostPollInterval": "60m",
    "alertPollInterval": "60s",
    "hostPollEnabled": true,
    "alertPollEnabled": true,
    "sslVerify": false
  }
]

cURL code sample: Endpoint Security (HX) integration configuration

curl -k --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -X GET https://xxx.xxx.xxx.xxx:443/config/v1/device

This cURL sample includes the following options:

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate.

  • --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This option specifies the authentication token for this session.

  • -X GET—This option specifies using the GET method.

  • https://xxx.xxx.xxx.xxx:443/config/v1/device—The configuration request URL.

Results

This example returns the Endpoint Security (HX) integration configuration for all devices.